Get email pdf

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /projects/{projectId}/scenarios/{scenarioId}/pdf-reports/{reportId}/email

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • reportId integer(int32) Required
application/json

Body Required

  • to string
  • subject string
  • comment string
  • type string

    Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

Responses

  • 200

    OK

POST /projects/{projectId}/scenarios/{scenarioId}/pdf-reports/{reportId}/email
curl \
 --request POST 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/pdf-reports/{reportId}/email' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "to": "string",
  "subject": "string",
  "comment": "string",
  "type": "CHANGES"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "to": "string",
  "subject": "string",
  "comment": "string",
  "type": "CHANGES"
}